<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>TestNG:  Unit Test</title>
<style type="text/css">
table caption,table.info_table,table.result,table.passed,table.failed {margin-bottom:10px;border:1px solid #000099;border-collapse:collapse;empty-cells:show;}
table.info_table td,table.info_table th,table.result td,table.result th,table.passed td,table.passed th,table.failed td,table.failed th {
border:1px solid #000099;padding:.25em .5em .25em .5em
}
table.result th {vertical-align:bottom}
tr.param th {padding-left:1em;padding-right:1em}
tr.param td {padding-left:.5em;padding-right:2em}
td.numi,th.numi,td.numi_attn {
text-align:right
}
tr.total td {font-weight:bold}
table caption {
text-align:center;font-weight:bold;
}
table.passed tr.stripe td,table tr.passedodd td {background-color: #00AA00;}
table.passed td,table tr.passedeven td {background-color: #33FF33;}
table.passed tr.stripe td,table tr.skippedodd td {background-color: #cccccc;}
table.passed td,table tr.skippedodd td {background-color: #dddddd;}
table.failed tr.stripe td,table tr.failedodd td,table.result td.numi_attn {background-color: #FF3333;}
table.failed td,table tr.failedeven td,table.result tr.stripe td.numi_attn {background-color: #DD0000;}
tr.stripe td,tr.stripe th {background-color: #E6EBF9;}
p.totop {font-size:85%;text-align:center;border-bottom:2px black solid}
div.shootout {padding:2em;border:3px #4854A8 solid}
</style>
</head>
<body>
<table cellspacing="0" cellpadding="0" class="result">
<tr><th>Test</th><th class="numi">Methods<br/>Passed</th><th class="numi">Scenarios<br/>Passed</th><th class="numi"># skipped</th><th class="numi"># failed</th><th class="numi">Total<br/>Time</th><th class="numi">Included<br/>Groups</th><th class="numi">Excluded<br/>Groups</th></tr>
<tr><td style="text-align:left;padding-right:2em">FirefoxTest</td><td class="numi">5</td><td class="numi">5</td><td class="numi">0</td><td class="numi">0</td><td class="numi">7.9 seconds</td><td class="numi"></td><td class="numi"></td></tr>
<tr class="stripe"><td style="text-align:left;padding-right:2em">ChromeTest</td><td class="numi">5</td><td class="numi">5</td><td class="numi">0</td><td class="numi">0</td><td class="numi">9.0 seconds</td><td class="numi"></td><td class="numi"></td></tr>
<tr class="total"><td>Total</td>
<td class="numi">10</td><td class="numi">10</td><td class="numi">0</td><td class="numi">0</td><td class="numi">9.0 seconds</td><td colspan="2">&nbsp;</td></tr>
</table>
<table cellspacing="0" cellpadding="0" class="passed" id="summary">
<tr><th>Class</th><th>Method</th><th># of<br/>Scenarios</th><th>Start</th><th>Time<br/>(ms)</th></tr>
<tr><th colspan="4">FirefoxTest &#8212; passed</th></tr>
<tr class="passedodd"><td rowspan="5">test.testng.sauce.testNGwithSauceLab</td><td><a href="#m1"><b>printDataFromDataProvider</b>  </a></td><td class="numi">3</td><td>1507048345051</td><td class="numi">7</td></tr><tr class="passedodd"><td><a href="#m2"><b>printDataFromDataProvider</b>  </a></td><td class="numi">3</td><td>1507048345051</td><td class="numi">7</td></tr><tr class="passedodd"><td><a href="#m3"><b>printDataFromDataProvider</b>  </a></td><td class="numi">3</td><td>1507048345051</td><td class="numi">7</td></tr><tr class="passedodd"><td><a href="#m4"><b>sauceLabBrowserSelection</b>  </a></td><td class="numi">1</td><td>1507048342567</td><td class="numi">2179</td></tr><tr class="passedodd"><td><a href="#m5"><b>selectShop</b>  </a></td><td class="numi">1</td><td>1507048344747</td><td class="numi">301</td></tr>
<tr><th colspan="4">ChromeTest &#8212; passed</th></tr>
<tr class="passedodd"><td rowspan="5">test.testng.sauce.testNGwithSauceLab</td><td><a href="#m6"><b>printDataFromDataProvider</b>  </a></td><td class="numi">3</td><td>1507048346198</td><td class="numi">9</td></tr><tr class="passedodd"><td><a href="#m7"><b>printDataFromDataProvider</b>  </a></td><td class="numi">3</td><td>1507048346198</td><td class="numi">9</td></tr><tr class="passedodd"><td><a href="#m8"><b>printDataFromDataProvider</b>  </a></td><td class="numi">3</td><td>1507048346198</td><td class="numi">9</td></tr><tr class="passedodd"><td><a href="#m9"><b>sauceLabBrowserSelection</b>  </a></td><td class="numi">1</td><td>1507048341508</td><td class="numi">2712</td></tr><tr class="passedodd"><td><a href="#m10"><b>selectShop</b>  </a></td><td class="numi">1</td><td>1507048344223</td><td class="numi">1974</td></tr>
</table>
<h1>FirefoxTest</h1>
<h2 id="m1">test.testng.sauce.testNGwithSauceLab:printDataFromDataProvider</h2>
<table cellspacing="0" cellpadding="0" class="result">
<tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr>
<tr class="param stripe"><td>demo1</td>
<td>provider1</td>
</tr>
</table>
<p class="totop"><a href="#summary">back to summary</a></p>
<h2 id="m2">test.testng.sauce.testNGwithSauceLab:printDataFromDataProvider</h2>
<table cellspacing="0" cellpadding="0" class="result">
<tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr>
<tr class="param stripe"><td>demo2</td>
<td>provider2</td>
</tr>
</table>
<p class="totop"><a href="#summary">back to summary</a></p>
<h2 id="m3">test.testng.sauce.testNGwithSauceLab:selectShop</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<h2 id="m4">test.testng.sauce.testNGwithSauceLab:printDataFromDataProvider</h2>
<table cellspacing="0" cellpadding="0" class="result">
<tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr>
<tr class="param stripe"><td>demo3</td>
<td>provider3</td>
</tr>
</table>
<p class="totop"><a href="#summary">back to summary</a></p>
<h2 id="m5">test.testng.sauce.testNGwithSauceLab:sauceLabBrowserSelection</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<h1>ChromeTest</h1>
<h2 id="m6">test.testng.sauce.testNGwithSauceLab:sauceLabBrowserSelection</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<h2 id="m7">test.testng.sauce.testNGwithSauceLab:printDataFromDataProvider</h2>
<table cellspacing="0" cellpadding="0" class="result">
<tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr>
<tr class="param stripe"><td>demo1</td>
<td>provider1</td>
</tr>
</table>
<p class="totop"><a href="#summary">back to summary</a></p>
<h2 id="m8">test.testng.sauce.testNGwithSauceLab:printDataFromDataProvider</h2>
<table cellspacing="0" cellpadding="0" class="result">
<tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr>
<tr class="param stripe"><td>demo2</td>
<td>provider2</td>
</tr>
</table>
<p class="totop"><a href="#summary">back to summary</a></p>
<h2 id="m9">test.testng.sauce.testNGwithSauceLab:printDataFromDataProvider</h2>
<table cellspacing="0" cellpadding="0" class="result">
<tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr>
<tr class="param stripe"><td>demo3</td>
<td>provider3</td>
</tr>
</table>
<p class="totop"><a href="#summary">back to summary</a></p>
<h2 id="m10">test.testng.sauce.testNGwithSauceLab:selectShop</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
</body></html>
